<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="content-header">
  <mb-button
    [mbIsDisable]="isLoadingPage"
    mbButtonSize="MEDIUM"
    mbButtonTextColor="#fff"
    mbButtonBgColor="#141ED2"
    (click)="processStaff(false)"
    [customStyle]="true"
    mbButtonText="{{ 'Xác nhận' | translate }}"
  >
  </mb-button>
  <mb-button
    [mbIsDisable]="isLoadingPage"
    mbButtonType="NO_BORDER"
    mbButtonSize="MEDIUM"
    mbButtonAvailableStyle="CUSTOM"
    mbButtonText="{{ 'Từ chối' | translate }}"
    mbButtonTextColor="#141ED2"
    [customStyle]="true"
    [mbIsDisable]="isLoadingPage"
    (click)="processStaff(true)"
  >
  </mb-button>
</div>

<div>
  <div class="search-container">
    <div nz-row class="search-container__row">
      <div nz-col nzSpan="6" class="search-container__row--col">
        <div class="margin-bottom">
          <span class="search-container__label">{{ 'modelOrganization.correctionStaff.year' | translate }}</span>
        </div>
        <div>
          <span>{{ objectSearch.periodCode }}</span>
        </div>
      </div>
      <div nz-col nzSpan="6" class="search-container__row--col position-relative">
        <mb-input-text
          mbPlaceholderText="{{ 'modelOrganization.planYear.placeHoder.chooseUnit' | translate }}"
          mbType="default"
          mbLabelText="{{ 'modelOrganization.planYear.unit' | translate }}"
          (click)="showPopup()"
          [(ngModel)]="orgName"
          [mbReadOnly]="true"
        >
        </mb-input-text>
        <em
          *ngIf="orgName"
          nz-icon
          class="icon-style"
          (click)="clearOrgInput()"
          nzType="close-circle"
          nzTheme="outline"
        ></em>
      </div>
      <div nz-col nzSpan="6" class="search-container__row--col">
        <mb-select
          [mbDataSelects]="listJob"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          mbLabelText="Job"
          mbPlaceholder="{{ 'modelOrganization.planYear.placeHoder.chooseJob' | translate }}"
          [(ngModel)]="objectSearch.jobId"
        >
        </mb-select>
      </div>
      <div nz-col class="search-container__row--col-button mt-20">
        <mb-button
          mbButtonType="NO_BORDER"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="CUSTOM"
          mbButtonText="{{ 'common.button.search' | translate }}"
          mbButtonBgColor="#E8EAF6"
          [customStyle]="true"
          mbButtonTextColor="#141ED2"
          (click)="onSearch()"
        ></mb-button>
      </div>
    </div>
  </div>
  <div nz-row class="search-container__row mt-20">
    <div
      nz-col
      nzSpan="5"
      nz-tooltip
      nzTooltipTitle="{{ 'modelOrganization.confirmStaff.tooltip.file' | translate }}"
      class="input-style__input"
    >
      <nz-input-group [nzSuffix]="suffixIconButton" [nzPrefix]="clearName">
        <input nz-input type="text" value="{{ fileName }}"  placeholder="{{'modelOrganization.confirmStaff.placeHoder.consultationAtt' | translate }}" readonly/>
      </nz-input-group>
      <ng-template #clearName>
        <em
          nz-icon
          class="ant-input-clear-icon"
          nzTheme="fill"
          nzType="close-circle"
          *ngIf="fileName"
          (click)="clearFileName()"
        ></em>
      </ng-template>
      <ng-template #suffixIconButton>
        <img (click)="fileInput.click()" src="../../../../../assets/images/icon/attch-file.svg" alt="" />
        <input hidden type="file" #fileInput (change)="handleFileInput($event)" />
      </ng-template>
    </div>
    <div nz-col nzSpan="1"></div>
    <div nz-col nzSpan="18">
      <mb-input-text
        mbPlaceholderText="{{ 'modelOrganization.confirmStaff.placeHoder.typeReson' | translate }}"
        mbType="default"
        [(ngModel)]="objFill.reason"
        [mbMaxLength]="150"
      >
      </mb-input-text>
    </div>
    <div class="max-input-custom" nz-col nzSpan="24">
      <div>
        <span>{{objFill.reason?objFill.reason.length:0}}/150</span>
      </div>
    </div>
  </div>

  <div class="search-container margin-top">
    <div class="btn-fill">
      <nz-switch [(ngModel)]="isFillQuick" (ngModelChange)="changeFill($event)"></nz-switch>
      <span class="text">{{ 'modelOrganization.adjustedStaff.fillQuick' | translate }}</span>
    </div>
    <div *ngIf="isFillQuick">
      <div nz-row class="search-container__row">
        <div nz-col nzSpan="6" class="search-container__row--col position-relative">
          <mb-input-text
            mbPlaceholderText="{{ 'modelOrganization.planYear.placeHoder.typing' | translate }}"
            mbType="default"
            mbLabelText="{{ 'modelOrganization.confirmStaff.consultationInfo' | translate }}"
            [(ngModel)]="objFill.consultation"
          >
          </mb-input-text>
        </div>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonText="{{ 'modelOrganization.adjustedStaff.assignInfo' | translate }}"
          mbButtonTextColor="#fff"
          mbButtonBgColor="#141ED2"
          [customStyle]="true"
          (click)="assignInfo()"
        >
        </mb-button>
      </div>
    </div>
  </div>

  <div class="table-container ant-table-content">
    <nz-table
      #basicTable
      [nzData]="dataTable"
      [nzFrontPagination]="false"
      [nzShowPagination]="false"
      nzTableLayout="fixed"
      [nzScroll]="dataTable?.length > 0 ? { x: '1770px', y: '320px' } : {}"
      [nzSize]="TABLE_SIZE"
    >
      <thead>
        <tr>
          <th scope="col" [nzChecked]="checked" (nzCheckedChange)="onAllChecked($event)" nzWidth="5%" nzLeft></th>
          <th scope="col" nzWidth="5%">{{ 'modelOrganization.table.stt' | translate }}</th>
          <th scope="col" nzWidth="30%">{{ 'modelOrganization.planYear.unitName' | translate }}</th>
          <th scope="col" nzWidth="25%">{{ 'modelOrganization.planYear.job' | translate }}</th>
          <th scope="col" nzWidth="10%">{{ 'modelOrganization.correctionStaff.effecDate' | translate }}</th>
          <th scope="col" nzWidth="8%">{{ 'modelOrganization.table.demarcationCurrent' | translate }}</th>
          <th scope="col" nzWidth="8%">{{ 'modelOrganization.table.demarcationSuggest' | translate }}</th>
          <th scope="col" nzWidth="8%">{{ 'modelOrganization.table.demarcationApprove' | translate }}</th>
          <th scope="col" nzWidth="25%">{{ 'modelOrganization.approvedStaff.reason' | translate }}</th>
          <th scope="col" nzWidth="25%" nzRight>{{ 'modelOrganization.confirmStaff.consultation' | translate }}</th>
          <th scope="col" nzWidth="15%" nzRight>{{ 'modelOrganization.table.fileRequest' | translate }}</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let data of basicTable.data; let i = index">
          <td [nzChecked]="quantityMap.has(data.hcpId)" (nzCheckedChange)="onItemChecked(data, $event)" nzLeft></td>
          <td>
            {{ i + 1 }}
          </td>
          <td class="table-container__col-text-ellipsis" nz-tooltip [nzTooltipTitle]="data.pathName">
            {{ data.pathName }}
          </td>
          <td class="table-container__col-text-ellipsis">
            {{ data.jobName }}
          </td>
          <td>
            {{ data.fromDate | dateFormat: 'dd/MM/yyyy' }}
          </td>
          <td>
            {{ data.headCount ? data.headCount : 0 }}
          </td>
          <td>
            {{ data.adjustedNumberTmp }}
          </td>
          <td>
            <mb-input-text nz-input [(ngModel)]="data.latchNumber" mbInputType='number' minNumber="0" (keypress)='onKeypress($event)'
                           mbPlaceholderText="{{'modelOrganization.planYear.placeHoder.typing' | translate}}">
            </mb-input-text>
          </td>
          <td>
            {{ data.reason }}
          </td>
          <td nzRight>
            <mb-input-text
              nz-input
              [(ngModel)]="data.consultation"
              nz-tooltip
              [nzTooltipTitle]="data.consultation"
              nzTooltipPlacement="top"
              [mbMaxLength]="250"
              mbPlaceholderText="{{ 'modelOrganization.planYear.placeHoder.typing' | translate }}"
              (click)="onClick($event)"
              [mbType]="data.isChecked && !data.consultation ? 'error' : 'default'"
            >
            </mb-input-text>
          </td>
          <td nzRight>
            <div class="style-file" *ngIf="data.adjustDocName" (click)="downloadFile(data)">
              <span class="text-ellipsis" nz-tooltip [nzTooltipTitle]="data.adjustDocName">{{data.adjustDocName}}</span>
            </div>
          </td>
        </tr>
      </tbody>
    </nz-table>
  </div>
</div>
<nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
          [nzStyle]="{ width: '80vw'}" (nzOnCancel)="handleCancel()">
  <ng-template #modalTitle>
    <span *ngIf="isPdfFile">View File PDF</span>
    <span *ngIf="!isPdfFile">View File</span>
  </ng-template>

  <ng-template #modalContent>
    <div *ngIf="isPdfFile">
      <pdf-viewer [src]="pdfSrc" [show-all]="true" [fit-to-page]="true" [render-text]="true"
                  [original-size]="true" class="pdf-view"></pdf-viewer>
    </div>
    <div *ngIf="!isPdfFile">
      <img [src]="imagePath" alt="">
    </div>
  </ng-template>

  <ng-template #modalFooter>
    <p></p>
  </ng-template>
</nz-modal>
